2

I am new to Ethereum. Trying to run a smart contract. I verified the contract content by running it on online compiler. But I am getting an error at the following line of code.

var simpleCompiled = web3.eth.compile.solidity(contractcontent);

I tried it with web3 version 0.15.3 and 0.20.1 but same error is repeated.

1
  • I believe that method has been deprecated and removed.
    – user19510
    Jan 9, 2018 at 6:49

2 Answers 2

0

Try solc

Setup :

https://www.npmjs.com/package/solc

Command :

solc FundSplitter.sol --combined-json abi,asm,ast,bin,bin-runtime,clone-bin,devdoc,interface,opcodes,srcmap,srcmap-runtime,userdoc > contracts.json

Then contract.json has all required elements such as ABI, CODE etc

0

Compiling via RPC has been removed. Detail: https://github.com/ethereum/go-ethereum/issues/3793

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.